Subject: fvwm: FvwmWharf dies when swallowed windows are killed

From: Toby Johnson <[email-masked]>
Date: Wed, 30 Apr 2003 17:44:52 +0100

5-2003-03-30-exp)

Package: fvwm
Version: 2.4.6-2
Severity: normal

If FvwmWharf contains swallowed windows, e.g. with a line like

        *FvwmWharf xmms nil MaxSwallow "wmxmms" wmxmms -t

in my ~/.fvwm/.fvwm2rc and then I kill the window, e.g. with

        $ ps -e |grep wmxmms
          703 tty1     00:00:00 wmxmms
        $ kill 703

then the whole FvwmWharf disappears.  This behaviour does not seem to be
unavoidable.  For example, under Afterstep the Wharf button where the
killed window was swallowed simply goes blank and the rest of the Wharf
stays.

[The reason I tried to do this is that I run xbiff on a remote host,
where my mail is delivered, displaying on my local host by tunnelling
the X traffic through an ssh login, but I need to kill the xbiff
before I can log out.  And I like to have the xbiff in my FvwmWharf.
But the bug I am describing occurs with entirely locally running
programs.]

-- System Information
Debian Release: 3.0
Architecture: powerpc
Kernel: Linux algebra 2.4.20-ben10 #2 Wed Apr 30 14:34:56 BST 2003 ppc
Locale: LANG=C, LC_CTYPE=C

Versions of packages fvwm depends on:
ii  libc6                    2.2.5-11.5      GNU C Library: Shared libraries an
ii  libglib1.2               1.2.10-4        The GLib library of C routines
ii  libgtk1.2                1.2.10-11       The GIMP Toolkit set of widgets fo
ii  libncurses5              5.2.20020112a-7 Shared libraries for terminal hand
ii  libreadline4             4.2a-5          GNU readline and history libraries
ii  libstroke0               0.5.1-2         support for mouse strokes like tho
ii  xlibs                    4.1.0-16        X Window System client libraries

     _________________________________________________________________
     _________________________________________________________________

    Debian bug tracking system administrator <[email-masked]>.
    Last modified: Tue, 8 Jul 2003 12:03:12 UTC
    Debian Bug tracking system
    copyright 1999 Darren O. Benham, 1997, 2003 nCipher Corporation Ltd,
    1994-7 Ian Jackson.

--=-=-=

-- 
Alexander Kotelnikov
Saint-Petersburg, Russia

--=-=-=--
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]